Skip to main content
GET
/
v3
/
llm
/
responses
/
{response_id}
Retrieve Response
curl --request GET \
  --url https://api.edenai.run/v3/llm/responses/{response_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "created_at": 123,
  "model": "<string>",
  "status": "<string>",
  "output": [
    {
      "id": "<string>",
      "type": "<string>",
      "role": "<string>",
      "status": "<string>",
      "content": [
        {
          "type": "<string>",
          "text": "<string>",
          "annotations": []
        }
      ]
    }
  ],
  "object": "response",
  "instructions": "<string>",
  "previous_response_id": "<string>",
  "usage": {
    "input_tokens": 123,
    "output_tokens": 123,
    "total_tokens": 123,
    "input_tokens_details": {},
    "output_tokens_details": {}
  },
  "error": {},
  "metadata": {},
  "cost": 123,
  "provider": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

response_id
string
required

Response

Successful Response

id
string
required
created_at
integer
required
model
string
required
status
string
required
output
(ResponseOutputMessage · object | object)[]
required
object
string
default:response
Allowed value: "response"
instructions
string | null
previous_response_id
string | null
usage
ResponseUsage · object
error
Error · object
metadata
Metadata · object
cost
number | null
provider
string | null